﻿using System;
using System.Linq;

namespace HierarchicalGridViewSerialization
{
   public class Player : IGridRowSelectionWatchable
    {
        public int Id
        {
            get;
            set;
        }

        public string FirstName
        {
            get;
            set;
        }

        public string LastName
        {
            get;
            set;
        }

        public int PlayNumber
        {
            get;
            set;
        }

        public int GetUniqueId()
        {
            return this.FirstName.GetHashCode() ^ this.LastName.GetHashCode() ^ this.PlayNumber.GetHashCode();
        }

        public string StorageId
        {
            get
            {
                return GetUniqueId().ToString();
            }
        }
    }
}
